# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.versions_api import VersionsApi  # noqa: E501
from swagger_client.rest import ApiException


class TestVersionsApi(unittest.TestCase):
    """VersionsApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.versions_api.VersionsApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_version_rendition(self):
        """Test case for create_version_rendition

        Create rendition for a file version  # noqa: E501
        """
        pass

    def test_delete_version(self):
        """Test case for delete_version

        Delete a version  # noqa: E501
        """
        pass

    def test_delete_version_rendition(self):
        """Test case for delete_version_rendition

        Delete rendition for a version  # noqa: E501
        """
        pass

    def test_get_version(self):
        """Test case for get_version

        Get version information  # noqa: E501
        """
        pass

    def test_get_version_content(self):
        """Test case for get_version_content

        Get version content  # noqa: E501
        """
        pass

    def test_get_version_rendition(self):
        """Test case for get_version_rendition

        Get rendition information for a file version  # noqa: E501
        """
        pass

    def test_get_version_rendition_content(self):
        """Test case for get_version_rendition_content

        Get rendition content for a file version  # noqa: E501
        """
        pass

    def test_list_version_history(self):
        """Test case for list_version_history

        List version history  # noqa: E501
        """
        pass

    def test_list_version_renditions(self):
        """Test case for list_version_renditions

        List renditions for a file version  # noqa: E501
        """
        pass

    def test_request_version_direct_access_url(self):
        """Test case for request_version_direct_access_url

        Generate a direct access content URL  # noqa: E501
        """
        pass

    def test_request_version_rendition_direct_access_url(self):
        """Test case for request_version_rendition_direct_access_url

        Generate a direct access content URL  # noqa: E501
        """
        pass

    def test_revert_version(self):
        """Test case for revert_version

        Revert a version  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
